Summary:	KDE Icon Editor
Name:		kiconedit
Version: 	4.3.0
Release: 	%mkrel 2
Source0: 	http://fr2.rpmfind.net/linux/KDE/stable/%version/src/extragear/%name-%version.tar.bz2
License: 	GPLv2+
Group: 		Graphics
Url: 		http://www.kde.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	kdelibs4-devel
%if %mdkversion < 200900
Obsoletes: 	kdegraphics-kiconedit < 1:3.5.10-3
Conflicts:	kde-l10n < 3.5.9-5
%endif
%if %mdkversion < 200100
Obsoletes:  kdegraphics3-kiconedit < 1:3.5.10-5
%endif

%description 
KDE Icon Editor.

%files -f %name.lang
%defattr(-,root,root)
%_kde_bindir/*
%_kde_datadir/applications/kde4/*.desktop
%_kde_appsdir/%name
%_kde_iconsdir/*/*/*/*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
cd build
%{makeinstall_std}
cd -

%find_lang %name --with-html

%clean
rm -rf %{buildroot}


%changelog
* Sat Sep 12 2009 Nicolas Lécureuil <neoclust@mandriva.org> 4.3.0-2mdv2010.0
+ Revision: 438573
- Fix condition
- Obsolete kde3 packages

* Fri Aug 07 2009 Funda Wang <fundawang@mandriva.org> 4.3.0-1mdv2010.0
+ Revision: 411065
- new version 4.3.0

* Thu Jun 04 2009 Funda Wang <fundawang@mandriva.org> 4.2.4-1mdv2010.0
+ Revision: 382646
- New version 4.2.4

* Tue May 26 2009 Funda Wang <fundawang@mandriva.org> 4.2.3-1mdv2010.0
+ Revision: 379767
- New version 4.2.4

* Sat May 02 2009 Funda Wang <fundawang@mandriva.org> 4.2.2-1mdv2010.0
+ Revision: 370593
- New version 4.2.2

* Tue Jan 27 2009 Funda Wang <fundawang@mandriva.org> 4.2.0-1mdv2009.1
+ Revision: 334218
- New version 4.2.0

* Wed Jan 21 2009 Funda Wang <fundawang@mandriva.org> 4.1.96-1mdv2009.1
+ Revision: 332233
- 4.1.96

* Wed Nov 26 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.3-2mdv2009.1
+ Revision: 306854
- Fix Obsoletes

* Wed Nov 19 2008 Funda Wang <fundawang@mandriva.org> 4.1.3-1mdv2009.1
+ Revision: 304398
- new version 4.1.3

* Mon Oct 13 2008 Funda Wang <fundawang@mandriva.org> 4.1.2-1mdv2009.1
+ Revision: 293079
- new version 4.1.2

* Thu Sep 04 2008 Funda Wang <fundawang@mandriva.org> 4.1.1-1mdv2009.0
+ Revision: 280228
- New version 4.1.1

* Wed Jul 30 2008 Funda Wang <fundawang@mandriva.org> 4.1.0-1mdv2009.0
+ Revision: 254502
- New version 4.1.0

* Sat Jul 19 2008 Funda Wang <fundawang@mandriva.org> 4.0.98-2mdv2009.0
+ Revision: 238673
- conflicts with older kde-l10n

* Tue Jul 15 2008 Funda Wang <fundawang@mandriva.org> 4.0.98-1mdv2009.0
+ Revision: 236090
- import kiconedit


